import { StyleVar } from '../type';
import { default as IConvert } from './convertInterface';

export default class ConstConvert<T extends string = string> implements IConvert<T> {
    compare(v1?: T, v2?: T): boolean;
    toString(value?: T, styleVarMap?: Record<string, StyleVar.Desc>): string | undefined;
    toStyle(value?: string): T | undefined;
}
